import threading
import DobotDllType as dType

CON_STR = {
    dType.DobotConnect.DobotConnect_NoError:  "DobotConnect_NoError",
    dType.DobotConnect.DobotConnect_NotFound: "DobotConnect_NotFound",
    dType.DobotConnect.DobotConnect_Occupied: "DobotConnect_Occupied"}

#Load Dll
api = dType.load()
print(api)

#Connect Dobot
state = dType.ConnectDobot(api, "/dev/ttyUSB0", 115200)[0]
print("Connect status:",CON_STR[state])

dType.SetQueuedCmdStartExec(api)

lastIndex = dType.SetPTPCmd(api, dType.PTPMode.PTPMOVJXYZMode, 300, 0, 50, 0,isQueued=1)[0]
#print(lastIndex)

#lastIndex = dType.SetPTPCmd(api, dType.PTPMode.PTPMOVJXYZMode, 300, 0, 200, 0,isQueued=1)[0]
#print(lastIndex)

#Disconnect Dobot
dType.DisconnectDobot(api)

